#
# spec file for package quicktime4linux (Version 1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gpp libgpp libpng libz
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         quicktime4linux
BuildRequires: glib-devel, libpng, libz, gpp, libgpp
Copyright:    GPL
Group:        Development/Libraries
Autoreqprov:  on
Version:      1.3
Release:      90
URL:          http://heroinewarrior.com/quicktime.php3
Source0:      quicktime4linux-%{version}.tar.bz2
Patch0:       quicktime4linux.diff
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      library for reading/writing quicktime movie files

%description
This is a Quicktime library for UNIX.

Authors:
--------
    Adam Williams <quicktime@altavista.net>

SuSE series: d

%package      devel
Summary:      development libraries for quicktime4linux
Group:        Development/Libraries

%description  devel
development environment for quicktime4linux (static libraries,
header files ...).

Authors:
--------
    Adam Williams <quicktime@altavista.net>

SuSE series: d

%prep
%setup -q
%patch0 -p1 -b .fix
%define		major	0
%define		minor	0.1.3

%build
mkdir done
# build static library
make clean
export CFLAGS="$RPM_OPT_FLAGS"
%ifarch i386 i486 i586 i686
./configure
%else
./configure --no-mmx
%endif
make CC="set -x; gcc" libquicktime.a
cp libquicktime.a done
# build shared library
make clean
export CFLAGS="$RPM_OPT_FLAGS -fpic"
./configure --no-mmx
make CC="set -x; gcc" libquicktime.a
mkdir shlib-tmp
(cd shlib-tmp; ar x ../libquicktime.a)
gcc -shared -Wl,-soname,libquicktime.so.%{major}	\
    -o libquicktime.so.%{minor}				\
    shlib-tmp/*.o
rm -rf shlib-tmp
cp libquicktime.so.%{minor} done
(cd done; ln -s libquicktime.so.%{minor} libquicktime.so.%{major})
(cd done; ln -s libquicktime.so.%{minor} libquicktime.so)
# build utilities
make clean
make -f /dev/null \
    CFLAGS="$RPM_OPT_FLAGS" \
    LDLIBS="-Ldone -lquicktime -lpng -lz -lpthread -lglib -ldl" \
    dump make_streamable qtinfo dechunk yuv4toyuv recover

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p %{buildroot}/usr/include/quicktime/libdv
mkdir -p %{buildroot}/usr/include/quicktime/libraw1394
mkdir -p %{buildroot}/usr/include/quicktime/jpeg
mkdir -p %{buildroot}/usr/lib
mkdir -p %{buildroot}/usr/bin
mv done/lib* %{buildroot}/usr/lib
cp *.h			%{buildroot}/usr/include/quicktime
cp libdv/*.h		%{buildroot}/usr/include/quicktime/libdv
cp libraw1394/*.h	%{buildroot}/usr/include/quicktime/libraw1394
cp jpeg/*.h		%{buildroot}/usr/include/quicktime/jpeg
install -s make_streamable qtinfo dechunk yuv4toyuv %{buildroot}/usr/bin
install -s dump     %{buildroot}/usr/bin/qtdump
install -s recover  %{buildroot}/usr/bin/qtrecover

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/*
/usr/lib/lib*.so.*
%doc README

%files devel
%defattr(-, root, root)
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/include/quicktime/*.h
/usr/include/quicktime/*/*.h
%doc docs/*.html

%changelog -n quicktime4linux
* Mon Apr 09 2001 - kraxel@suse.de
- fixed ia64 build problems
* Thu Apr 05 2001 - kraxel@suse.de
- enabled mmx on ia32 (static library only)
- added documentation to the -devel package
- added missing header files to the -devel package
* Tue Apr 03 2001 - kraxel@suse.de
- initial release.
